/*
  You can add custom CSS rules or import files here.
*/


/* Import the Radzen CSS files */
@import './styles-generated.css';

.rz-column-title-content {
white-space: normal !important;
word-wrap: break-word !important;
}


.rz-group-header {
  background-color: var(--rz-grid-header-background-color) !important;
  padding: var(--rz-grid-group-header-padding) !important;
  border-bottom: var(--rz-grid-bottom-cell-border) !important;
  display: block;
}

.newpolinecard {
  background: transparent;
  box-shadow: none  !important;
  border:none;
 
}

.NewRuleSideLabels {
  background: transparent;
  border-bottom: 2px solid #87be40;
  margin-bottom: 5px;
}

.status-New {
  background: transparent;
  border-top: 10px solid #87be40;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Subtle shadow */
  border-radius: 10px; /* Rounded corners */
  padding: 16px; /* Add some padding for content */

}

.status-InReview {
  background: transparent;
  border-top: 10px solid #be6840;;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Subtle shadow */
  border-radius: 10px; /* Rounded corners */
  padding: 16px; /* Add some padding for content */
}

.status-Submitted {
  background: transparent;
  border-top: 10px solid #4090be;;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Subtle shadow */
  border-radius: 10px; /* Rounded corners */
  padding: 16px; /* Add some padding for content */
}

.status-Approved {
  background: transparent;
  border-top: 10px solid #40be70;;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Subtle shadow */
  border-radius: 10px; /* Rounded corners */
  padding: 16px; /* Add some padding for content */
}


.status-Posted {
  background: transparent;
  border-top: 10px solid #a8aaa6;;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Subtle shadow */
  border-radius: 10px; /* Rounded corners */
  padding: 16px; /* Add some padding for content */
}

.rz-datalist-content {
  background-color: transparent; /* Light grey background */
  overflow: scroll;
  position: relative;
}

.WADJradzen-datalist-item {
  background-color: transparent; /* Light grey background */
  color: #333; /* Dark grey text color */
  overflow: scroll;
}

.WADJradzen-datalist-item li {
  background-color: transparent;
  border-radius: 0px;
  border: 0px;
  box-shadow: transparent;
  overflow: scroll;
}

  .WADJrz-panel {
    background-color: transparent; /* Light grey background */
    color: #333; /* Dark grey text color */
  }

  .rz-group-row td {
    background-color: #f2f4f7; /* Light grey background */
    color: #333; /* Dark grey text */
    font-weight: bold; /* Make the text bold */
    padding: 8px 16px; /* Add some padding */
    border-bottom: 2px solid #d1d5da; /* A line to separate groups */
    text-transform: uppercase;
  }
  
  .POD365Card {
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Subtle shadow */
    border-radius: 5px; /* Rounded corners */
    padding: 10px; /* Add some padding for content */
  }
  
  .POD365Pannel {
    background-color: #87be40;
    border-radius: 5px; /* Rounded corners */
    color: white;
  }